// Header file for port usage
#ifndef _ports_H_
#define _ports_H_
#include "SPIS.h"
#include "Timer.h"
#include "GPIOTE.h"
#include "TWIM.h"
#include "PWM.h"

#define easyDAC_SPI SPIS2

#define Acquisition_PPI_Channel 0U
#define Acquisition_Timer_Channel Timer0
#define Acquisition_Timer_Compare_Channel CC0
#define Acquisition_GPIOTE_Channel GPIOTE_Ch0

#define DPT_TWIM_Channel TWI0
#define DPT_GPIOTE_Channel GPIOTE_Ch1

#define NEB_PWM_Channel PWM0

#define TRH_TWIM_Channel TWI0

#define Cough_ADC_Input ADC_Analog_Input_6
#define Neb_ADC_Input ADC_Analog_Input_2

#define ImplantRTC RTC0
#define ImplantTimer Timer1
#define ImplantTimer_Compare_Channel CC0

#endif //_ports_H_